<?php 
        
        // footer a top-tab
        CSF::createSection( SASSLY_OPTION_KEY, array(
            'id'    => 'footer_tab',                         // Set a unique slug-like ID
            'title' => esc_html__( 'Footer', 'sassly-essential' ),
            'icon'  => 'fa fa-cog',
        ) ); 

        // Footer
        CSF::createSection( SASSLY_OPTION_KEY, array(
            'parent' => 'footer_tab', // The slug id of the parent section
            'title'  => esc_html__( 'Widget & Style', 'sassly-essential' ),
            'icon'   => 'fa fa-paint-brush',
            'fields' => array(
             
                array(
                'type'    => 'subheading',
                'content' => esc_html__( 'Footer Settings', 'sassly-essential' ),
                ),
               
                array(
                    'id'      => 'footer_style',
                    'type'    => 'image_select',
                    'title'   => esc_html__( 'Footer Style', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Select the Footer style which you want to show on your website.', 'sassly-essential' ),
                    'options' => array(                    
                        'style2'       => SASSLY_ESSENTIAL_ASSETS_URL. '/images/footer/footer_2.png',
                    ),
                    'default' => 'style2',
                ),
               
                array(
                    'id'           => 'footer_logo',
                    'type'         => 'upload',
                    'title'        => esc_html__( 'Logo', 'sassly-essential' ),
                    'library'      => 'image',
                    'placeholder'  => 'http://',
                    'button_title' => esc_html__( 'Add Image', 'sassly-essential' ),
                    'remove_title' => esc_html__( 'Remove Image', 'sassly-essential' ),
                ),
              
                array(
                    'id'      => 'footer_bg',
                    'type'    => 'background',
                    'title'   => esc_html__( 'Footer Background ', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Upload a new background image to set the footer background.', 'sassly-essential' ),
                    'default' => array(
                        'image'      => '',
                        'repeat'     => 'no-repeat',
                        'position'   => 'center center',
                        'attachment' => 'scroll',
                        'size'       => 'cover',
                        'color'      => '#182044',
                    ),
                    'output' => '.jfooter-wrapper',
                ),
      
                array(
                        'id'      => 'footer_padding_top',
                        'type'    => 'slider',
                        'title'   => esc_html__( 'Footer Main Padding Top', 'sassly-essential' ),
                        'min'     => 0,
                        'max'     => 200,
                        'step'    => 1,
                        'unit'    => 'px',
                ),
             
                array(
                        'id'      => 'footer_padding_bottom',
                        'type'    => 'slider',
                        'title'   => esc_html__( 'Footer Padding Bottom', 'sassly-essential' ),
                        'min'     => 0,
                        'max'     => 200,
                        'step'    => 1,
                        'unit'    => 'px',
                ),

                array(
                    'id'      => 'footer_inner_padding_bottom',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Widget Padding Bottom', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 200,
                    'step'    => 1,
                    'unit'    => 'px',
                ),
             
                array(
                  'type'    => 'subheading',
                  'content' => esc_html__( 'Footer Text & Link Color', 'sassly-essential' ),
                ),
                array(
                    'id'      => 'footer_widget_title_color',
                    'type'    => 'color',
                    'title'   => esc_html__( 'Widget Title Color', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Set footer widget title color form here.', 'sassly-essential' ),
                    'output' => '.jfooter-wrapper .widget-title',
                ),
                array(
                    'id'      => 'footer_widget_content_color',
                    'type'    => 'color',
                    'title'   => esc_html__( 'Widget content Color', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Set footer widget content color form here.', 'sassly-essential' ),
                    'output' => '.jfooter-wrapper .widget,
                    .jfooter-wrapper .widget p,
                    .jfooter-wrapper .widget div,
                    .jfooter-wrapper .widget li,
                    .jfooter-wrapper .widget table td,
                    div#calendar_wrap table > tbody > tr > td,
                    div#calendar_wrap table > thead > tr > th,
                    .jfooter-wrapper .widget *'
                ),
                array(
                    'id'      => 'footer_widget_title_margin_top',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Widget Title margin Top', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 200,
                    'step'    => 1,
                    'unit'    => 'px',
                    
              ),
                array(
                    'id'      => 'footer_widget_title_margin_bottom',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Widget Title margin bottom', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 200,
                    'step'    => 1,
                    'unit'    => 'px',
                    
              ),
              array(
                        'id'      => 'footer_widget_content_bottom_margin',
                        'type'    => 'slider',
                        'title'   => esc_html__( 'Widget Content Margin Bottom', 'sassly-essential' ),
                        'min'     => 0,
                        'max'     => 200,
                        'step'    => 1,
                        'unit'    => 'px',
                        
                ),
                array(
                    'id'      => 'footer_link_color',
                    'type'    => 'color',
                    'title'   => esc_html__( 'Footer links color', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Set the footer area link color', 'sassly-essential' ),
                    'output' => '.jfooter-wrapper .single-blog-post a ,.jfooter-wrapper .tagcloud a, .jfooter-wrapper .widget a, .jfooter-wrapper .widget ul li a.url,.jfooter-wrapper.widget ul li a.rsswidget'
                ),

                array(
                    'id'      => 'footer_link_hover',
                    'type'    => 'color',
                    'title'   => esc_html__( 'Footer links Hover color', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Set the footer area link hover color', 'sassly-essential' ),
                    'output'  => '.jfooter-wrapper .single-blog-post a:hover,.jfooter-wrapper .tagcloud a:hover,.jfooter-wrapper .widget a:hover, .jfooter-wrapper .widget ul li a.url:hover,.jfooter-wrapper .widget ul li a.rsswidget:hover'
                ),
          
            ),

        ) );

        
        // copyright
        CSF::createSection( SASSLY_OPTION_KEY, array(
            'parent' => 'footer_tab', // The slug id of the parent section
            'title'  => esc_html__( 'Copyright', 'sassly-essential' ),
            'icon'   => 'fa fa-copyright',
            'fields' => array(
                array(
                    'id'       => 'copyright_text',
                    'type'     => 'wp_editor',
                    'title'    => esc_html__( 'Footer Copyright', 'sassly-essential' ),
                    'desc'     => esc_html__( 'Set the footer copyright text','sassly-essential' ),
                    'settings' => array(
                        'textarea_rows' => 7,
                        'tinymce'       => true,
                        'media_buttons' => false,
                      ),
                      'default' => 'Copryright &copy; Crowdyflow All Right Reserved.',
                ),
                
                array(
                    'type'    => 'subheading',
                    'content' => esc_html__( 'Copyright', 'sassly-essential' ),
                ),

                array(
                    'id'      => 'copyright_padding_top',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Copyright Padding top', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 200,
                    'step'    => 1,
                    'unit'    => 'px',
                        
                ),

                array(
                    'id'      => 'copyright_padding_bottom',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Copyright Padding Bottom', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 200,
                    'step'    => 1,
                    'unit'    => 'px',
                ),

                array(
                    'id'      => 'copyright_margin_top',
                    'type'    => 'slider',
                    'title'   => esc_html__( 'Copyright margin top', 'sassly-essential' ),
                    'min'     => 0,
                    'max'     => 300,
                    'step'    => 1,
                    'unit'    => 'px',
                        
                ),

                array(
                    'id'      => 'footer_copyright_color',
                    'type'    => 'color',
                    'title'   => esc_html__( 'Copyright Text Color', 'sassly-essential' ),
                    'desc'    => esc_html__( 'Set footer copyright text color form here.', 'sassly-essential' ),
                    'output'  => '.jfooter-wrapper .jcopyright p'
                ),

                array(
                    'id'     => 'footer_copyright_border',
                    'type'   => 'border',
                    'title'   => esc_html__( 'Copyright Border', 'sassly-essential' ),
                    'output'  => '.jfooter-wrapper .jcopyright'
                ),
                
             
            ),

        ) ); 